dbind-WARNING : Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown Le sujet est résolu

Demande d'aide : c'est ici.
Répondre
Avatar du membre
dezix
Modérateur
Modérateur
Messages : 1288
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

22 mai 2021, 12:03

Bonjour, :006:

Sur ma dernière installation (testing) pour la conserver aussi légère que possible,
j'ai configuré APT pour ne pas installer automatiquement les paquets "RECOMMENDS"

Ça fait plusieurs fois que j'ai des messages d'erreur du genre :
... Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown ...


Voici un exemple concret,
en voulant "épingler" la fenêtre d'une VM VBox avec KDocker

Code : Tout sélectionner

$ kdocker -w 0x0660000d

(kdocker:6197): dbind-WARNING **: 10:37:54.367: AT-SPI: Error retrieving accessibility bus address: org.freedesktop.DBus.Error.ServiceUnknown: The name org.a11y.Bus was not provided by any .service files
Dans le cas précis cela n'empêche pas les choses de se faire correctement
Je ne m'en serais pas rendu compte en mode graphique.


Jusqu'à présent voici ce que j'ai d'installé :

Code : Tout sélectionner

$ apt list *dbus* | grep install

dbus/testing,unstable,now 1.12.20-2 amd64  [installé]
dbus-x11/testing,unstable,now 1.12.20-2 amd64  [installé]

dbus-user-session/testing,unstable,now 1.12.20-2 amd64  [installé, automatique]
libdbus-1-3/testing,unstable,now 1.12.20-2 amd64  [installé, automatique]
libdbus-glib-1-2/testing,unstable,now 0.110-6 amd64  [installé, automatique]
libdbusmenu-glib4/testing,unstable,now 18.10.20180917~bzr492+repack1-2 amd64  [installé, automatique]
libdbusmenu-gtk3-4/testing,unstable,now 18.10.20180917~bzr492+repack1-2 amd64  [installé, automatique]
libqt5dbus5/testing,unstable,now 5.15.2+dfsg-5 amd64  [installé, automatique]
python3-dbus/testing,unstable,now 1.2.16-5 amd64  [installé, automatique]
xdg-dbus-proxy/testing,unstable,now 0.1.2-2 amd64  [installé, automatique]

Il doit manquer quelque(s) paquet(s) à installer pour corriger cela,
mais je n'ai pas idée de(s) quel(s) :017:


Merci pour vos pistes.
Debian testing/stable - XFCE
MicP
Modérateur
Modérateur
Messages : 675
Enregistré le : 16 avr. 2016, 22:14
Status : Hors ligne

23 mai 2021, 02:34

Bonjour

J'ai lu, dans cette page web,
que l'installation du paquetage at-spi2-core pouvait régler ce problème.

Donc, avec les privilèges du compte root :

Code : Tout sélectionner

apt install at-spi2-core
Avatar du membre
dezix
Modérateur
Modérateur
Messages : 1288
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

23 mai 2021, 10:07

MicP :good:

Merci pour le tuyau !

Code : Tout sélectionner

$ apt show at-spi2-core
...
Description: interface du fournisseur de services Assistive Technology - composant principal dbus
 Ce paquet fournit les composants principaux de GNOME Accessibility.
Encore un truc de Gnome qui vient "encombrer" les autres Bureaux...
... c'est égoïste de ma part, car jusqu'à présent je n'ai pas eu besoin de ces Technologies d'Assistance.

Quand j'en aurais le temps je chercherai s'il y a moyen d'éviter cela en retirant quelque(s) paquet(s) plutôt qu'en ajoutant celui-ci.

Mais vu que c'est - selon la description - un élément essentiel de D-Bus,
il faudrait probablement remplacer D-Bus par un équivalent indépendant du Bureau.


Et vu ce que je lis dans : DCOP — Wikipédia
D-Bus, un système similaire à DCOP et standardisé par freedesktop.org,
a été fortement influencé par celui-ci et l'a remplacé dans KDE 4.

Il risque d'être difficile de remplacer simplement et efficacement D-Bus :017:
Debian testing/stable - XFCE
Avatar du membre
dezix
Modérateur
Modérateur
Messages : 1288
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

23 mai 2021, 11:28

Précipitation + mauvais réflexes :blush:

... je n'avais pas lu la solution du lien jusqu'à la dernière ligne :021:

Donc pour éviter d'installer at-spi2-core (si on n'en a pas vraiment besoin)

=> Éditer : ~/.xsessionrc

en y ajoutant :

Code : Tout sélectionner

export NO_AT_BRIDGE=1
... comme MicP me l'a rappelé dans un précédent sujet :033:

:191:
Debian testing/stable - XFCE
Répondre